from django.db import models

class AdvertCategory(models.Model):
    name = models.CharField(max_length=250)

    def __str__(self):
        return self.name

class Advert(models.Model):
    title = models.CharField(max_length=200)
    category = models.ForeignKey(AdvertCategory, null=True, on_delete=models.SET_NULL)
    text = models.TextField()
    contact = models.CharField(max_length=200)
    pub_date = models.DateTimeField(auto_now=True)

    def __str__(self):
        return self.title
