from django.shortcuts import render
from django.http import HttpResponseRedirect, Http404
from django import forms
from .models import Advert, AdvertCategory

def advert_list(request):
    adverts = Advert.objects.order_by("pub_date").exclude(category__isnull=True)
    categories = AdvertCategory.objects.order_by("name")
    context = {
        "adverts": adverts,
        "categories": categories
    }
    return render(request, "advert_list.html", context)


def category_list(request, cat_id):
    try:
        category = AdvertCategory.objects.get(id=cat_id)
    except AdvertCategory.DoesNotExist:
        raise Http404
    adverts = Advert.objects.filter(category=category).order_by("pub_date")
    categories = AdvertCategory.objects.order_by("name")
    context = {
        "cat": category,
        "adverts": adverts,
        "categories": categories
    }
    return render(request, "advert_list.html", context)

